#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.5
visibility:           public
id:                   hOpenPGP-2.9.5-8hEMgxgPYvvFfWZ8QnL17n
key:                  hOpenPGP-2.9.5-8hEMgxgPYvvFfWZ8QnL17n
license:              MIT
copyright:            2012-2020  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  59b79666f466721807d9109114d49ca6
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher

import-dirs:          /usr/lib/ghc-8.10.4/site-local/hOpenPGP-2.9.5
library-dirs:         /usr/lib/ghc-8.10.4/site-local/hOpenPGP-2.9.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/hOpenPGP-2.9.5
hs-libraries:         HShOpenPGP-2.9.5-8hEMgxgPYvvFfWZ8QnL17n
depends:
    aeson-1.5.6.0-Gx77yI4aGhT9SDRJjDxR53
    asn1-encoding-0.9.6-EbAeLRQPgth427v6xCJWgi
    attoparsec-0.13.2.5-AaEkuqZ31Ae8OJbD4JckmF base-4.14.1.0
    base16-bytestring-1.0.1.0-AbPDWkfzNhSEnvVrlUMkkD
    bifunctors-5.5.10-7yw4jZfZityHoD859Xw4e2 binary-0.8.8.0
    binary-conduit-1.3.1-2iMctQkW2URDkBLvQRg1hq bytestring-0.10.12.0
    bz2-1.0.1.0-2Lpd4SpMIeO5lGNFnSK8qx
    conduit-1.3.4.1-1E0rz099hopFMk00OSu16K
    conduit-extra-1.3.5-6N8grfjiVyiCq9s7YylXC3 containers-0.6.2.1
    crypto-cipher-types-0.0.9-J2So9ZEqsLQG0ATekiDcSg
    cryptonite-0.28-6tE3qLRdRA173sMttb2hCZ
    errors-2.3.0-1jMMqiGok7nGSgO7igf65q
    hashable-1.3.1.0-AFm7ygY4MxA76FjadItoSM
    incremental-parser-0.5.0.2-E4bQTy3rY03E561uwd4aQ2
    ixset-typed-0.5-86Vl3YvohIWInqDjA7XeCm
    lens-4.19.2-CNVQVx1PKTiBoGhbS5k7vB
    memory-0.15.0-E8yvrlcxsw5JtBytoHmuPe
    monad-loops-0.4.3-C0LVokhtCoUF1FVS5cJB0Q
    nettle-0.3.0-2wb6EXXCXxaFuXCUWnsipk
    network-uri-2.6.4.1-3JXwSSA5DIGKZm1PyzUfqo
    openpgp-asciiarmor-0.1.2-lwAD628QJYeScyd916UO
    prettyprinter-1.7.0-JGvubQAa1CbGpzg9NdJeSn
    resourcet-1.2.4.2-19dGH6nR0kgB6t1tweOX3O
    split-0.2.3.4-Gfj8gpFjzWr2HI7601h7rd text-1.2.4.1 time-1.9.3
    time-locale-compat-0.1.1.5-75n5v6JklqyMdEmBwWBxO
    transformers-0.5.6.2 unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-Dm1EWWGKu5F1HgehuVxZbu
    zlib-0.6.2.3-5WH2dJzH5dp83rbDuec4aA

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

